<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ProductHandler.aspx.cs" Inherits="SocoShop.Web.Admin.ProductHandler" %>
<%@ Import Namespace="SocoShop.Business" %>
<%@ Import Namespace="SocoShop.Common" %>
<%@ Import Namespace="SocoShop.Entity" %>
 <select name='ctl00$ContentPlaceHolder$<%=controlName %>' id='ctl00_ContentPlaceHolder_<%=controlName %>' <%=cssContent %> <%=dobuleClickContent %>>
 <%if ("SearchProductAccessory,SearchRelationProduct,SearchProductByName".IndexOf(action) > -1)
   {
        foreach (ProductInfo product in productList){ %>
        <option value="<%=product.ID %>"><%=product.Name %></option>
        <%}
    }
   else if (action == "SearchRelationArticle")
   {
       foreach (ArticleInfo article in articleList){ %>
    <option value="<%=article.ID %>"><%=article.Title%></option>
      <%}
   } 
    else if (action == "SearchUser")
   {
       foreach (UserInfo user in userList){ %>
    <option value="<%=user.ID %>|<%=user.UserName%>"><%=user.UserName%></option>
      <%}
   }
   else if (action == "SearchEmailContent")
   {
       foreach (EmailContentInfo emailContent in emailContentList){ %>
    <option value="<%=emailContent.ID %>"><%=emailContent.Title%></option>
      <%}
   }
   %>
</select>